## 💡[`useActive`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useActive.md)

Manages detection of active. Requires spreading the second param **bind** over the targeted element to function.

---

## 📋[`useArray`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useArray.md)

Manipulate and read an array

---

## ⏳[`useAsync`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useAsync.md)

Reduces littering in your component by abstracting logic and management of multiple states.

---

## 🎭[`useBoolean`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useBoolean.md)

Manipulate and read a Boolean useState

---

## 🏀[`useDebounce`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useDebounce.md)

Functions like useState, but with an built-in debounce

---

## ⌨[`useField`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useField.md)

Manages basic manipulation and controll of field. Requires spreading the third param **bind** over targeted field to function.

---

## 🔦[`useFocus`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useFocus.md)

Manages detection of focus. Requires spreading the second param **bind** over the targeted field to function.

---

## 👻[`useHover`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useHover.md)

Manages detection of hover. Requires spreading the second param **bind** over the targeted element/component to function.

---

## ⌚[`useMemento`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useMemento.md)

Manipulate past, present and future of states. Stores past values, allowing actions like _undo_ and _redo_, which inturn results in a useState that immulates Ctrl+z and Ctrl+y.

---

## 📑[`useObject`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useObject.md)

Manipulate and read an object

---

## 🖱[`useOnClickOutside`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useOnClickOutside.md)

Listens for clicks outside of element. Requires ref to function.

---

## 🤏[`useScreenType`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useScreenType.md)

Utilizes [useWindowSize](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useWindowSize.md) and [matchMedia](https://developer.mozilla.org/en-US/docs/Web/API/Window/matchMedia) to return and object containing 5 propertys xs-xl, each can either be true or false. Each of the propertys breakpoints are based of [Material UI](https://material-ui.com/customization/breakpoints/)

---

## 💾[`useStorage`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useStorage.md)

Manages state and storage simultaneously. Choose between local, session and cookie.
Utilizes and therefor depends on bjork_useStorage. For more information check out [bjork_usestorage](https://github.com/EmilEinarsen/bjork_usestorage)

---

## 🥁[`useThrottle`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useThrottle.md)

Functions like useState, but with an built-in throttle

---

## 🧭[`useWindowScroll`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useWindowScroll.md)

Listens for scroll and returns the coordinates

---

## ↕[`useWindowSize`](https://github.com/EmilEinarsen/bjork_react-hookup/blob/main/docs/useWindowSize.md)

Listens for resize and returns the width and height
